import org.jdom.Element;
import java.util.*;
import java.awt.*;

public class GraphicDot extends GraphicElement {
    private CanvasDot point;

    public GraphicDot() {
	point = null;
    }

    public GraphicDot(Element el) {
	point = new CanvasDot(el);
    }

    public Enumeration elements() {
	Vector v = new Vector();
	if (point != null) {
	    v.add(point);
	} 
	return v.elements();
    }

    public Element toXML() {
	return point.toXML();
    }

    public void draw(MapViewer z) {
    }

    public void add(CanvasDot pt) {
	point = new CanvasDot((Point)pt);
    }

    public void show(Graphics g, boolean z,Color c) {
	int scale=(z?2:1);
	if (isActive()) {
	    int x,y;
	    g.setColor(point.isActive()?new Color(255,0,0):new Color(0,0,255));
	    x = (int)(scale*point.getX()-scale*6);
	    y = (int)(scale*point.getY()-scale*6);
	    g.drawRect(x,y,scale*12,scale*12);
	} else {
	    int x0, y0, x1, y1;
	    g.setColor(c);
	    x0 = (int)(scale*point.getX()-scale*6);
	    x1 = (int)(scale*point.getX()+scale*6);
	    y0 = (int)(scale*point.getY()-scale*6);
	    y1 = (int)(scale*point.getY()+scale*6);
	    g.drawLine(x0, (y0+y1)/2, x1, (y0+y1)/2);
	    g.drawLine((x0+x1)/2, y0, (x0+x1)/2, y1);
	}
    }
}
