import java.awt.geom.*;
import org.jdom.Element;
import java.util.*;
import java.awt.*;

public abstract class GraphicDotSet extends GraphicElement {
    protected Vector dots;

    /**
     * Constructor for the DotSet Object.
     *
     */
    public GraphicDotSet(Element el) {
	Iterator it = el.getChildren().iterator();
	this.dots = new Vector();
	while(it.hasNext()) {
	    Element elem = (Element)it.next();
	    if (elem.getName().equals("dot")) {
		dots.add(new CanvasDot(elem));
	    } else {
		// Raise exception
	    }
	}
    }

    public GraphicDotSet() {
	dots = new Vector();
    }

    public Enumeration elements() {
	return dots.elements();
    }


    public void add(CanvasDot d) {
	dots.addElement(new CanvasDot((Point)d));
    }

    /**
     * Adds a dot to the DotSet.
     *
     * @param  x the x coordinate
     * @param  y the y coordinate
     * @return   the modified set
     */
    public GraphicDotSet addDot(double x, double y) {
	dots.addElement(new Point2D.Double(x,y));
	return this;
    }
}
